Page MenuHomePhabricator

Archive the AutomaticBoardWelcome extension
Closed, ResolvedPublic

Description

HAWelcome integrates AutomaticBoardWelcome's functionality since Change-Id: I373706e346995e33c747e0599285460ff4284fbc, merged two days ago, and thus AutomaticBoardWelcome should be considered deprecated and archived accordingly.


Event Timeline

ashley created this task.Oct 27 2017, 6:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2017, 6:06 PM

Copying from T178939, should we also merge AutomaticBoardWelcome in Extension:UserWelcome because AWB leaves a message on creation rather than after the first edit? Or is HAWelcome's behaviour preferable?

SamanthaNguyen added a comment.EditedOct 27 2017, 6:36 PM

Are you thinking of the right extension? UserWelcome is a sub-extension in SocialProfile that's just a parser hook and has to be manually inserted by a user (not automated), and then it says "Welcome {username}" based on whoever's viewing, along with some stats.

If I'm understanding correctly, I guess you're referring to MediaWiki-extensions-NewUserMessage ( docs: https://www.mediawiki.org/wiki/Extension:NewUserMessage ) ? it'd probably do well to have one of the extensions merged into the other, but would need discussion first.

Just in case if you're interested, during when HAWelcome wasn't open-sourced yet, we (ShoutWiki) had a ticket at https://phabricator.shoutwiki.com/T217 about adding NewUserMessage to the extension request whitelist, which I created as a placeholder after someone contacted us through the support email asking about it.

On the other hand, this extension is used on (select) WMF wikis, such as Wikimedia Commons, so it's code-reviewed and guaranteed to be compatible with recent versions of MW.
However, we have a very similar extension -- HAWelcome -- already, which supports SocialProfile, which NewUserMessage doesn't. (See also T68)
Also it should be noted that NewUserMessage adds a message to the user's talk page right after the account has been created, whereas HAWelcome welcomes users after their first edit. So while HAWelcome has the proven potential to create a mess (welcoming spambots), NewUserMessage has even more potential for that IMO.
I was originally thinking that we shouldn't add NewUserMessage just yet when HAWelcome is already there and available for users on request, but we definitely should look into merging the useful parts of HAWelcome into NewUserMessage so that there'd be one stable, FOSS, somewhat maintained solution for automatically welcoming users, but having realized a rather crucial fundamental difference between these two -- welcoming users right after account creation (NewUserMessage) vs. welcoming them after their first edit (HAWelcome) -- I'm not sure if that's even possible. Still something that we should look into.

I indeed meant MediaWiki-extensions-NewUserMessage. Considering the points on the task on ShoutWiki's Phabricator, I can conclude that HAWelcome’s behaviour is preferable.

Mainframe98 updated the task description. (Show Details)Oct 27 2017, 7:47 PM
Mainframe98 updated the task description. (Show Details)Oct 27 2017, 8:02 PM

Change 387018 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[mediawiki/extensions@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387018

Change 387019 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[integration/config@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387019

Change 387020 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[translatewiki@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387020

Change 387019 merged by jenkins-bot:
[integration/config@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387019

Change 387018 merged by Umherirrender:
[mediawiki/extensions@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387018

Mainframe98 updated the task description. (Show Details)Oct 29 2017, 7:17 AM

Change 387020 merged by jenkins-bot:
[translatewiki@master] Archive Automatic Board Welcome

https://gerrit.wikimedia.org/r/387020

Change 387105 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/AutomaticBoardWelcome@master] Archive extension

https://gerrit.wikimedia.org/r/387105

Change 387105 merged by SamanthaNguyen:
[mediawiki/extensions/AutomaticBoardWelcome@master] Archive extension

https://gerrit.wikimedia.org/r/387105

SamanthaNguyen added a comment.EditedOct 29 2017, 5:01 PM

Only things left are deleting the GitHub mirror and archiving it's Diffusion repo.

Mentioned in SAL (#wikimedia-releng) [2017-10-30T09:22:55Z] <hashar> gerrit: prefix mediawiki/extensions/AutomaticBoardWelcome description with '[ARCHIVED] ' - T179196

MarcoAurelio added a subscriber: MarcoAurelio.

Diffusion repo is now inactive. Whoever can delete the GitHub mirror, please do.

Mainframe98 updated the task description. (Show Details)Nov 8 2017, 3:19 PM
Mainframe98 closed this task as Resolved.Nov 9 2017, 11:23 AM
Mainframe98 claimed this task.
Mainframe98 updated the task description. (Show Details)